package uk.co.vault101.ritual.desktop;

import com.badlogic.gdx.Files.FileType;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.backends.lwjgl.LwjglApplication;
import com.badlogic.gdx.backends.lwjgl.LwjglApplicationConfiguration;

import uk.co.vault101.ritual.Ritual;

public class DesktopLauncher {
	public static void main (final String[] arg) {
		LwjglApplicationConfiguration cfg = new LwjglApplicationConfiguration();
		//cfg.width = 1920; cfg.height = 1000;
				//cfg.width = 1600; cfg.height = 900;
				//cfg.width = 1280; cfg.height = 1002;
				
				//cfg.width = 1440; cfg.height = 810;
				//cfg.width = 800; cfg.height = 800;
				cfg.fullscreen = true;

				cfg.width = 1920; cfg.height = 1080;
				//cfg.fullscreen = true;
				
				cfg.vSyncEnabled = true;
				cfg.samples = 4; // MSAA 2x,4x,8x,16x
				cfg.x = -1;
				cfg.y = -1;
//				cfg.x = 1270;
//				cfg.y = 4;
				//cfg.foregroundFPS = 30;
				cfg.title = "GGJ16 LLG - Ritual";
				// These icons are tried in order. Depending on OS,
				// ONE of them should be picked up
//				cfg.addIcon("image/icon128.png", FileType.Internal);
//				cfg.addIcon("image/icon64.png", FileType.Internal);
//				cfg.addIcon("image/icon32.png", FileType.Internal);
//				cfg.addIcon("image/icon16.png", FileType.Internal);
				// Don't even consider passing in width/height here.
				// It would snooker the write-once-run-anywhere setup
				// Instead get access to width/height via Gdx.app. e.g. Gdx.app.getGraphics().getWidth();
		new LwjglApplication(new Ritual(), cfg);
	}
}
