package uk.co.vault101.ritual.model;

import com.badlogic.gdx.graphics.g3d.Model;
import uk.co.vault101.ritual.GameObject;

/**
 * Created by Martyn on 30/01/2016.
 */
public class GameItem {

    private final String name;
    private GameObject gameObject;
    private boolean isCollectable;
    private boolean isPodiumDisplayed;

    public GameItem(final String name, final GameObject gameObject, final boolean isCollectable) {
        this.name = name;
        this.gameObject = gameObject;
        this.isCollectable = isCollectable;
        this.isPodiumDisplayed = false;
    }

    public GameObject getGameObject() {
        return gameObject;
    }

    public String getName() {
        return name;
    }
    
    public boolean isCollectable() {
    	return isCollectable;
    }

	public void setNotCollectable() {
		isCollectable = false;
	}
	
	public void setPodiumDisplayed() {
		isPodiumDisplayed = true;
	}
	
	public boolean isPodiumDisplayed() {
		return isPodiumDisplayed;
	}
}
